Bug 1163929 - Refresh button on main tab is hidden when buttons on menu bar don't fit the panel/screen width
Summary: Refresh button on main tab is hidden when buttons on menu bar don't fit the p...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Alexander Wels
QA Contact: Pavel Novotny
URL:
Whiteboard: ux
Depends On:
Blocks: rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-11-13 17:29 UTC by Pavel Novotny
Modified: 2015-02-16 13:35 UTC (History)
9 users (show)

Fixed In Version: org.ovirt.engine-root-3.5.0-22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 13:35:13 UTC
oVirt Team: ---


Attachments (Terms of Use)
screencast: main tab refresh button disappears when the menu bar gets too wide (2.37 MB, application/ogg)
2014-11-13 17:29 UTC, Pavel Novotny
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 35171 master MERGED webadmin: refresh button wrapping Never
oVirt gerrit 35421 ovirt-engine-3.5 MERGED webadmin: refresh button wrapping Never
Red Hat Bugzilla 1123277 None None None Never

Internal Links: 1123277

Description Pavel Novotny 2014-11-13 17:29:48 UTC
Created attachment 957237 [details]
screencast: main tab refresh button disappears when the menu bar gets too wide

Description of problem:
In situation when buttons in main tab's menu bar don't fit the screen width, they are hidden under the ">" button. But at the same moment the refresh button icon (left from the pagination info) disappears.
This is a usability problem on displays with lower resolution.

Version-Release number of selected component (if applicable):
rhevm-3.5.0-0.20.el6ev.noarch (vt10)

How reproducible:
100%

Steps to Reproduce:
1. Go to Webadmin / VMs tab.
2. Widen the left-hand System tree tab to the point when buttons in the VMs menu bar don't fit the screen width.
(You can achieve this also by decreasing the browser window width.)
3.

Actual results:
The refresh button icon gets hidden. See the attached screencast.

Expected results:
The refresh button icon should be visible all the time no matter how "full" the menu bar is.

Additional info:

Regression against 3.4.

Comment 2 Einav Cohen 2014-11-14 13:35:42 UTC
strange - this should have been fixed in the context of bug 1123277 (however, bug 1123277 was never verified IIUC - moved straight from ON_QA to CLOSED_CURRENTRELEASE). 

I indeed reproduced the problem in ~latest 'master' - not only when reducing the width of the main-pane by extending the width of the left-pane, but also when reducing the overall size of the browser window (and I assume in low resolutions we will have a similar phenomenon).

Comment 3 Einav Cohen 2014-11-24 13:27:19 UTC
Alexander - MODIFIED?

Comment 4 Einav Cohen 2014-12-01 17:47:51 UTC
not sure why this hasn't moved automatically to ON_QA -> moving manually.

Comment 5 Pavel Novotny 2014-12-03 13:41:17 UTC
Verified in rhevm-3.5.0-0.22.el6ev.noarch (vt12).

The refresh button is now stationary and always displayed, even when the browser window width is reduced or when buttons on the tab menu bar are "overpopulated".


Note You need to log in before you can comment on or make changes to this bug.